<?php
ini_set('display_errors', 'on');
error_reporting(E_ALL);
if (!defined('AUTH_KEY'))
{
	include '../../../wp-load.php';
	require_once 'ClipsanApi.php';
	
	if (is_user_logged_in())
	{
		$api = new ClipsanApi(get_option('clipsan_userid'), get_option('clipsan_securekey'));
		try
		{
			if (isset($_REQUEST['type']) && $_REQUEST['type'] == mp3)
			{
				$link = $api->getDownloadLink($_REQUEST['hash'], '', '', $current_user->user_email, $_SERVER['REMOTE_ADDR'], 'mp3');
			}
			else
			{
				$link = $api->getDownloadLink($_REQUEST['hash'], '', '', $current_user->user_email, $_SERVER['REMOTE_ADDR'], 610);
			}
		}
		catch (Exception $e)
		{
			die('Problém při stahování videa (' . get_class($e) . ': ' . $e->getCode() . ')');
		}
		if (preg_match('%^((https?://)|(www\.))([a-z0-9-].?)+(:[0-9]+)?(/.*)?$%i', $link))
		{
			header('Location: ' . $link);
		}
		else
		{
			echo 'Problém při stahování videa (API neodpovídá)';
		}
	}
	else
	{
		echo 'Problém při stahování videa (Nepřihlášený uživatel)';
	}
}